Subject: Re: bug#33007: 27.0.50; Proposal for function to edit and return string

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Apr 2022 15:15:43 +0200

Michael Heerdegen <[email-masked]> writes:

>> Something like this below shall become read-from-buffer [...]
>
> I agree that such an interface would be useful for Emacs.  I think it
> already has been reinvented multiple times in Emacs itself.  I invented
> it myself.
>
> Some minor thoughts: The input buffer should be more controllable: modes
> and keymap shouldn't be fixed.  Also, it should be possible to prefill
> the buffer with a string describing what the user is expected to do, and
> which is ignored after the user has finished.

I've now added this to Emacs 29 (as well as a non-modal version with a
callback instead of a recursive edit).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no